<script>
$(function(){	
	////	Logo du footer
	$("select[name='logo']").change(function(){
		$("[name='logoFile'],[name='logoUrl']").hide();
		if(this.value=="modify")	{$("[name='logoFile'],[name='logoUrl']").show();}
		else if(this.value!="")		{$("[name='logoUrl']").show();}
	});

	////	Vérif le type du fichier
	$("input[name='wallpaperFile'],input[name='logoFile']").change(function(){
		if(!find(".jpg",this.value) && !find(".jpeg",this.value) && !find(".png",this.value))
			{notify("<?= Txt::trad("AGORA_erreur_wallpaper_logo") ?>");}
	});

	////	Configuration LDAP
	$("#ldapConfigLabel").click(function(){
		if($("#ldapConfig").css("display")=="none")	{$("#ldapConfig").fadeIn();}
		else if(confirm("<?= Txt::trad("ldap_effacer_params") ?>")){
			$("#ldapConfig input,#ldapConfig select").each(function(){ $(this).val(""); });
			$("#ldapConfig").fadeOut();
		}
	});

	////	logsTimeOut par défaut après mise à jour
	if(Math.round("<?= Ctrl::$agora->logsTimeOut ?>")>0 && $("select[name='logsTimeOut'] option[value='<?= Ctrl::$agora->logsTimeOut ?>']").exist()==false)
		{$("select[name='logsTimeOut']").val("60");}
});

////    On contrôle le formulaire
function formControl()
{
	// Contrôle du nom
	if($("[name='name']").isEmpty() || ($("[name='limite_espace_disque']").exist() && $("[name='limite_espace_disque']").isEmpty()))
		{notify("<?= Txt::trad("remplir_tous_champs") ?>");  return false; }
	if($("[name='limite_espace_disque']").exist() && isNaN($("[name='limite_espace_disque']").val()))	{notify("<?= Txt::trad("AGORA_espace_disque_invalide") ?>"); return false; }
	if(!confirm("<?= Txt::trad("AGORA_confirmez_modification_site") ?>"))	{return false;}
}
</script>

<style>
.vAgoraForm					{padding:10px;}
input[name='logoFile']		{display:none;}
input[name='logoUrl']		{margin-top:10px; <?= (empty(Ctrl::$agora->logo)) ? "display:none;":null ?>}
#imgLogo					{max-height:45px;}
#limite_espace_disque		{width:40px;}
#ldapConfig					{margin-top:10px; <?= (empty(Ctrl::$agora->ldap_server)) ? "display:none;":null ?>}
#ldapConfig .fieldLabel		{padding-left:50px;}
.vBackupForm				{text-align:center; margin-top:30px;}
.vBackupForm img			{max-height:20px;}
.vBackupForm  button		{margin:20px; height:40px;}
</style>


<div class="pageCenter">
	<div class="pageCenterContent">
		<form action="index.php" method="post" onsubmit="return formControl()" class="vAgoraForm sBlock" enctype="multipart/form-data">
			<div class="objField">
				<div class="fieldLabel"><?= Txt::trad("AGORA_name") ?></div>
				<div><input type="text" name="name" value="<?= Ctrl::$agora->name ?>"></div>
			</div>
			<div class="objField">
				<div class="fieldLabel"><?= Txt::trad("description") ?></div>
				<div><input type="text" name="description" value="<?= Ctrl::$agora->description ?>"></div>
			</div>
			<div class="objField">
				<div class="fieldLabel"><abbr title="<?= Txt::trad("AGORA_footerHtml_info") ?>"><?= Txt::trad("AGORA_footerHtml") ?></abbr></div>
				<div><textarea name="footerHtml"><?= Ctrl::$agora->footerHtml ?></textarea></div>
			</div>
			<!--INTERFACE DE L'ESPACE-->
			<div class="objField">
				<div class="fieldLabel"><?= Txt::trad("wallpaper") ?></div>
				<div><?= CtrlMisc::menuWallpaper(Ctrl::$agora->wallpaper) ?></div>
			</div>
			<div class="objField">
				<div class="fieldLabel"><?= Txt::trad("AGORA_logo_footer") ?></div>
				<div>
					<img src="<?= CtrlMisc::pathfooterLogo() ?>" id="imgLogo">
					<select name="logo">
						<?php if(!empty(Ctrl::$agora->logo)){ ?><option value="<?= Ctrl::$agora->logo ?>"><?= Txt::trad("garder") ?></option><?php } ?>
						<option value=""><?= Txt::trad("par_defaut") ?></option>
						<option value="modify"><?= Txt::trad("modify") ?></option>
					</select>
					<input type="file" name="logoFile">
					<input type="text" name="logoUrl" value="<?= Ctrl::$agora->logoUrl ?>" placeholder="<?= Txt::trad("AGORA_logo_footer_url") ?>">
				</div>
			</div>
			<div class="objField">
				<div class="fieldLabel"><?= Txt::trad("AGORA_skin") ?></div>
				<div>
					<select name="skin">
						<option value="white"><?= Txt::trad("AGORA_blanc") ?></option>
						<option value="black" <?= Ctrl::$agora->skin=="black"?"selected":null ?>><?= Txt::trad("AGORA_noir") ?></option>
					</select>
				</div>
			</div>
			<div class="objField">
				<div class="fieldLabel"><?= Txt::trad("AGORA_moduleLabelDisplay") ?></div>
				<div>
					<select name="moduleLabelDisplay">
						<option value=""><?= Txt::trad("AGORA_moduleLabelDisplayShow") ?></option>
						<option value="hide" <?= Ctrl::$agora->moduleLabelDisplay=="hide"?"selected":null ?>><?= Txt::trad("AGORA_moduleLabelDisplayHide") ?></option>
					</select>
				</div>
			</div>
			<!--DETAILS DE PARAMETRAGE-->
			<div class="objField">
				<div class="fieldLabel"><?= Txt::trad("AGORA_lang") ?></div>
				<div><?= Txt::menuTrad("agora",Ctrl::$agora->lang) ?></div>
			</div>
			<div class="objField">
				<div class="fieldLabel"><?= Txt::trad("AGORA_timezone") ?></div>
				<div>
					<select name="timezone">
						<?php foreach(Tool::$tabTimezones as $tmpLabel=>$timezone)  {echo "<option value=\"".$timezone."\" ".($timezone==Tool::$tabTimezones[Ctrl::$curTimezone]?'selected':null).">[gmt ".($timezone>0?"+":"").$timezone."] ".$tmpLabel."</option>";}?>
					</select>
				</div>
			</div>
			<?php if(!defined("HOST_DOMAINE")){ ?>
			<div class="objField">
				<div class="fieldLabel"><?= Txt::trad("AGORA_limite_espace_disque") ?></div>
				<div><input type="text" name="limite_espace_disque" id="limite_espace_disque" value="<?= round((limite_espace_disque/File::sizeGo),2) ?>"> <?= Txt::trad("giga_octet")?></div>
			</div>
			<?php } ?>
			<div class="objField">
				<div class="fieldLabel"><?= Txt::trad("AGORA_logsTimeOut") ?></div>
				<div>
					<select name="logsTimeOut">
						<?php foreach($logsTimeOut as $tmpTime)  {echo "<option value='".$tmpTime."' ".($tmpTime==Ctrl::$agora->logsTimeOut?"selected":null).">".$tmpTime."</option>";} ?>
					</select>
					<?= Txt::trad("jours") ?>
				</div>
			</div>
			<div class="objField">
				<div class="fieldLabel"><?= Txt::trad("AGORA_personsSort") ?></div>
				<div>
					<select name="personsSort">
						<option value="firstName"><?= Txt::trad("firstName") ?></option>
						<option value="name" <?= Ctrl::$agora->personsSort=="name"?"selected":null ?>><?= Txt::trad("name") ?></option>
					</select>
				</div>
			</div>
			<div class="objField">
				<div class="fieldLabel"><?= Txt::trad("AGORA_messengerDisabled") ?></div>
				<div>
					<select name="messengerDisabled">
						<option value=""><?= Txt::trad("oui") ?></option>
						<option value="1" <?= !empty(Ctrl::$agora->messengerDisabled)?"selected":null ?>><?= Txt::trad("non") ?></option>
					</select>
				</div>
			</div>
			<div class="objField">
				<div class="fieldLabel"><abbr title="<?= Txt::trad("AGORA_personalCalendarsDisabled_infos") ?>"><?= Txt::trad("AGORA_personalCalendarsDisabled") ?></abbr></div>
				<div>
					<select name="personalCalendarsDisabled">
						<option value=""><?= Txt::trad("oui") ?></option>
						<option value="1" <?= !empty(Ctrl::$agora->personalCalendarsDisabled)?"selected":null ?>><?= Txt::trad("non") ?></option>
					</select>
				</div>
			</div>
			<div>
				<div id="ldapConfigLabel" class="sLink"><?= Txt::trad("ldap_connexion_serveur") ?> <img src="app/img/plusSmall.png"></div>
				<?php
				//Module de connexion Ldap désactivé / activé
				if(!function_exists("ldap_connect"))  {echo "<div class='labelInfos'>".Txt::trad("ldap_pas_module_php")."</div>";}
				else{
				?>
				<div id="ldapConfig">
					<!--CONFIG LDAP-->
					<div class="objField">
						<div class="fieldLabel"><?= Txt::trad("ldap_server") ?></div>
						<div><input type="text" name="ldap_server" value="<?= Ctrl::$agora->ldap_server ?>"></div>
					</div>
					<div class="objField">
						<div class="fieldLabel"><abbr title="<?= Txt::trad("ldap_server_port_infos") ?>"><?= Txt::trad("ldap_server_port") ?></abbr></div>
						<div><input type="text" name="ldap_server_port" value="<?= Ctrl::$agora->ldap_server_port ?>"></div>
					</div>
					<div class="objField">
						<div class="fieldLabel"><abbr title="<?= Txt::trad("ldap_admin_login_infos") ?>"><?= Txt::trad("ldap_admin_login") ?></abbr></div>
						<div><input type="text" name="ldap_admin_login" value="<?= Ctrl::$agora->ldap_admin_login ?>"></div>
					</div>
					<div class="objField">
						<div class="fieldLabel"><?= Txt::trad("ldap_admin_pass") ?></div>
						<div><input type="text" name="ldap_admin_pass" value="<?= Ctrl::$agora->ldap_admin_pass ?>"></div>
					</div>
					<div class="objField">
						<div class="fieldLabel"><abbr title="<?= Txt::trad("ldap_base_dn_infos") ?>"><?= Txt::trad("ldap_base_dn") ?></abbr></div>
						<div><input type="text" name="ldap_base_dn" value="<?= Ctrl::$agora->ldap_base_dn ?>"></div>
					</div>
					<div class="objField">
						<div class="fieldLabel"><abbr title="<?= Txt::trad("ldap_crea_auto_users_infos") ?>"><?= Txt::trad("ldap_crea_auto_users") ?></abbr></div>
						<div>
							<select name="ldap_crea_auto_users">
								<option value="1"><?= Txt::trad("oui") ?></option>
								<option value="" <?= empty(Ctrl::$agora->ldap_crea_auto_users)?"selected":null ?>><?= Txt::trad("non") ?></option>
							</select>
						</div>
					</div>
					<div class="objField">
						<div class="fieldLabel"><?= Txt::trad("ldap_pass_cryptage") ?></div>
						<div>
							<select name="ldap_pass_cryptage">
								<option value="1"><?= Txt::trad("aucun") ?></option>
								<option value="sha" <?= Ctrl::$agora->ldap_pass_cryptage=="sha"?"selected":null ?>>SHA</option>
								<option value="md5" <?= Ctrl::$agora->ldap_pass_cryptage=="md5"?"selected":null ?>>Md5</option>
							</select>
						</div>
					</div>
				</div>
				<?php } ?>
			</div>
			<!--VALIDATION-->
			<?= Txt::formValidate("modify") ?>
			
			<!--INFOS PRINCIPALES-->
			<hr>
			<div class="objField">
				<div class="fieldLabel"><?= Txt::trad("AGORA_versions") ?></div>
				<div class="vAgoraVersions">
					Agora-Project <?= Ctrl::$agora->version_agora ?> <img src="app/img/separator.png"> <?= Txt::trad("AGORA_dateUpdate")." ".Txt::displayDate(Ctrl::$agora->dateUpdateDb,"dateMini") ?><br>
					PHP <?= str_replace(strstr(phpversion(),"+deb"),null,phpversion()); ?> <img src="app/img/separator.png"> MySQL <?= str_replace(strstr(Db::dbVersion(),"+deb"),null,Db::dbVersion()); ?>
					<?php if(!function_exists("mail")){ ?><div title="<?= Txt::trad("AGORA_funcMailInfo") ?>"><img src="app/img/delete.png"> &nbsp; <?= Txt::trad("AGORA_funcMailDisabled") ?></div><?php } ?>
					<?php if(!function_exists("imagecreatetruecolor")){ ?><div><img src="app/img/delete.png"> &nbsp; <?= Txt::trad("AGORA_funcImgDisabled") ?></div><?php } ?>
				</div>
			</div>
		</form>
		
		<form class="sBlock vBackupForm" action="index.php" method="post">
			<input type="hidden" name="ctrl" value="agora">
			<input type="hidden" name="action" value="getBackup">
			<button type="submit" name="typeBackup" value="all" <?= $alertMessageBigSav==true?"onClick=\"alert('".addslashes(Txt::trad("AGORA_backupNotif"))."')\"":null ?>><img src="app/img/download.png"> <?= Txt::trad("AGORA_backupFull") ?> <img src="app/img/diskSpace.png"><img src="app/img/folderSmall.png"></button>
			<button type="submit" name="typeBackup" value="db"><img src="app/img/download.png"> <?= Txt::trad("AGORA_backupDb") ?> <img src="app/img/diskSpace.png"></button>
		</form>
	</div>
</div>